<template>
  <div>
    <v-app style="background:transparent">
      <v-layout>
        <v-flex>
          <v-card id="loginContentContainer"
            class="defaultCardBackground">
            <v-card-title>
              <h4>ELLA stock analytics</h4>
            </v-card-title>
            <v-divider></v-divider>
            <br/><br/>
            <form class="login"
              @submit.prevent="login">
              <span class="defaultInputContainer">
                <input id="usernameInput"
                  class="inputDefault"
                  type="text"
                  v-model="userName"/>
                <label for="usernameInput"
                  class="defaultInputPlaceholder">
                  Username
                </label>
              </span>
              <br/><br/><br/>
              <span class="defaultInputContainer">
                <input id="passwordInput"
                  class="inputDefault"
                  type="password"
                  v-model="password"/>
                <label for="passwordInput"
                  class="defaultInputPlaceholder">
                  Password
                </label>
              </span>
              <br/><br/><br/>
              <v-btn
                :loading="loading3"
                :disabled="loading3"
                color="darkSecondary"
                class="white--text"
                type="submit"
                @click.native="loader = 'loading3'"
                block
                depressed
                style="width:90%;margin:0 auto;">
                SIGN IN
                <v-icon right dark>
                  https
                </v-icon>
              </v-btn>
              <br/><br/><br/>
            </form>
          </v-card>
        </v-flex>
        <v-snackbar
          :timeout="timeout"
          :top="y === 'top'"
          :bottom="y === 'bottom'"
          :right="x === 'right'"
          :left="x === 'left'"
          :multi-line="mode === 'multi-line'"
          :vertical="mode === 'vertical'"
          v-model="snackbar"
          color="error">
            {{ text }}
          <v-btn flat
            color="white"
            @click.native="snackbar = false">
            Close
          </v-btn>
        </v-snackbar>
      </v-layout>
    </v-app>
  </div>
</template>

<script>
export default{
  name: 'LoginComponent',
  data () {
    return {
      userName: '',
      password: '',
      loading3: false,
      snackbar: false,
      y: 'top',
      x: 'left',
      mode: '',
      timeout: 6000,
      text: 'Error, Username or password incorrect'
    }
  },
  methods: {
    login: function () {
      const { userName, password } = this
      this.loading3 = true
      this.$store.dispatch('AUTH_REQUEST', { userName, password }).then(() => {
        setTimeout(() => {
          this.$router.push('/home/report')
        }, 2000)
      }).catch(() => {
        this.loading3 = false
        this.snackbar = true
      })
    }
  }
}
</script>

<style scoped>
#loginContentContainer{
  width: 34%;
  display: block;
  margin: 0 auto;
  height: 80vh;
  margin-top: 15vh;
}
.loginText{
    background: #F5F5F5;
    border: 1px solid #4D4D4D;
    border-radius: 4px;
    padding: 12px;
}
.defaultInputContainer{
  width: 90%;
    padding: 10px;
    position: relative;
    margin: 0 auto;
    margin-left: 3%;
}
.inputDefault{
    border: 1px solid #37474F;
    border-radius: 3px;
    padding: 5px 0px 5px 10px;
    font-size: 16px;
    font-family: Roboto;
    outline: none;
    color: #616161;
    width: 90%;
    transition: .5s all ease;
}
.inputDefault:focus{
  border: 1px solid #43A047;
}
.defaultInputPlaceholder{
    font-family: Roboto;
    font-size: 16px;
    background: transparent;
    position: absolute;
    left: 18px;
    top: -20px;
    padding: 0px 3px;
}
.ellaText{
  color: #a53a00;
}
@media only screen and (max-width: 1150px){
  #loginContentContainer{
    width: 50% !important;
  }
}
@media only screen and (max-width: 800px){
  #loginContentContainer{
    width: 70% !important;
  }
}
@media only screen and (max-width: 550px){
  #loginContentContainer{
    width: 80% !important;
  }
}
@media only screen and (max-width: 480px){
  #loginContentContainer{
    width: 96% !important;
  }
}
</style>
